#ifndef _PLAYER_H_
#   define _PLAYER_H_

#include <string>

using std::string;

class PlayerCallBack
{
   public:
      virtual bool process(double pctComplete) { return(true); }
};

class Player
{
   public:
      static bool play(
         const string   &contents,
         int            defaultVolume,
         int            defaultInstrument,
         PlayerCallBack &theCallBack,
         string         &errMsg
      );
};

#endif
